package dev.shadowsoffire.apotheosis.mixin;

import net.minecraft.world.item.Items;
import net.minecraft.world.item.enchantment.Enchantments;
import dev.shadowsoffire.apotheosis.Apotheosis;
import net.minecraft.world.item.enchantment.Enchantment;
import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.ShearsItem;
import org.spongepowered.asm.mixin.Mixin;
import net.minecraft.world.item.Item;

@Mixin({ ShearsItem.class })
public class ShearsItemMixin extends Item
{
    public ShearsItemMixin(final Item.Properties pProperties) {
        super(pProperties);
    }
    
    public boolean canApplyAtEnchantingTable(final ItemStack stack, final Enchantment ench) {
        if (!Apotheosis.enableEnch) {
            return super.canApplyAtEnchantingTable(stack, ench);
        }
        return super.canApplyAtEnchantingTable(stack, ench) || ench == Enchantments.f_44986_ || ench == Enchantments.f_44984_ || ench == Enchantments.f_44987_;
    }
    
    public int m_6473_() {
        return Apotheosis.enableEnch ? 15 : 0;
    }
    
    public String getCreatorModId(final ItemStack itemStack) {
        return (Apotheosis.enableEnch && this == Items.f_42574_) ? "apotheosis" : super.getCreatorModId(itemStack);
    }
}
